###################################################
### chunk number 1: 
###################################################
#line 51 "d:/Rcompile/CRANpkg/local/2.12/abn/inst/doc/abn.Rnw"
library(abn)
data(sim10varadd);
head(sim10varadd);


###################################################
### chunk number 2: 
###################################################
#line 58 "d:/Rcompile/CRANpkg/local/2.12/abn/inst/doc/abn.Rnw"
options(width=70);


###################################################
### chunk number 3: 
###################################################
#line 62 "d:/Rcompile/CRANpkg/local/2.12/abn/inst/doc/abn.Rnw"
banned<-matrix(     c(0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ##                     
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0, ## 
                      0,0,0,0,0,0,0,0,0,0  ## 
                      ),byrow=TRUE,ncol=10);# 10 x 10 matrix
                      
rownames(banned)<-names(sim10varadd);# must have rownames set
colnames(banned)<-names(sim10varadd);# must have colnames set                      
set.seed(10000);# only random part is the initial choice of network
myres<-searchabn(data.df=sim10varadd,banned.m=banned, 
                 hyper.params=list(
                 mean=c(0,0,0,0,0,0,0,0,0,0,0),
                 var=c(1000,1000,1000,1000,1000,
                 1000,1000,1000,1000,1000,1000)),
                 max.parents=3,init.permuts=10);       


###################################################
### chunk number 4: 
###################################################
#line 147 "d:/Rcompile/CRANpkg/local/2.12/abn/inst/doc/abn.Rnw"
mynetwork<-myres[[length(myres)]];#the best network is the last one
x7.x3<-getmarginal(sim10varadd,mynetwork,whichnode="X7", whichvar="X3", 
            hyper.params=list(
            mean=c(0,0,0,0,0,0,0,0,0,0,0),
            var=c(1000,1000,1000,1000,1000,
                  1000,1000,1000,1000,1000,1000)),
                  post.x=seq(0,2,len=1000), verbose=FALSE);
                  
x5.x2<-getmarginal(sim10varadd,mynetwork,whichnode="X5", whichvar="X2", 
            hyper.params=list(
            mean=c(0,0,0,0,0,0,0,0,0,0,0),
            var=c(1000,1000,1000,1000,1000,
                  1000,1000,1000,1000,1000,1000)),
                  post.x=seq(0,2,len=1000), verbose=FALSE);
x6.x7<-getmarginal(sim10varadd,mynetwork,whichnode="X6", whichvar="X7", 
            hyper.params=list(
            mean=c(0,0,0,0,0,0,0,0,0,0,0),
            var=c(1000,1000,1000,1000,1000,
                  1000,1000,1000,1000,1000,1000)),
                  post.x=seq(0,2,len=1000), verbose=FALSE);                  
                  


###################################################
### chunk number 5: 
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/abn/inst/doc/abn.Rnw"
par(mar=c(8.8,8.2,3.1,3.1));
par(cex.axis=1.5);par(cex.lab=1.5);par(bg="white");par(fg="black");par(col.axis="black");par(col="black");par(col.main="black");
par(cex.main=1.5);par(col.lab="black");par(las=1);par(xaxs="i");par(yaxs="r");  
par(mfrow=c(1,1));

plot(x7.x3[,"x"],x7.x3[,"f"],type="n",axes=F,xlab="",ylab="",main="",ylim=c(0,3));
lines(x7.x3[,"x"],x7.x3[,"f"],col="blue",lwd=3,lty=1);
lines(x5.x2[,"x"],x5.x2[,"f"],col="brown",lwd=3,lty=1);
lines(x6.x7[,"x"],x6.x7[,"f"],col="darkgreen",lwd=3,lty=2);
mtext("logit(X7)=X3, logit(X5)=X2, logit(X6)=X7",1,line=3.5,cex=1.5);
par(las=3);
mtext("Density",2,line=5,cex=1.8);par(las=1);
axis(1,padj=0.1,cex.axis=1.5);axis(2);box(); title("Posterior densities");


